/* Estilos generales */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-image: url('https://www.teahub.io/photos/full/95-954707_pokemon-pokeball-wallpaper-hd.png');
    background-size: cover; 
    background-position: center; 
    display: flex;
    justify-content: center;
    align-items: center; 
    height: 100vh;
}

.container {
    width: 80%;
    text-align: center; 
    padding: 20px; 
    background-color: #ffffffcb;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
}

h1 {
    text-align: center;
    color: #000000;
}

input[type="text"] {
    width: 200px;
    padding: 10px;
    margin-right: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.botones {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #c72d38;
    color: white;
    border: none;
    border-radius: 5px;
}

.botones:hover {
    background-color: #77161e;
}

/* Estilos del equipo */
.team-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center; 
    margin-top: 20px;
    margin-bottom: 20px;
}

.team {
    margin: 0 10px 20px; 
    padding: 20px;
    background-color: #fff;
}

h2 {
    margin-top: 0;
    font-size: 24px;
    color: #333;
}

.pokemon-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start; 
}

.pokemon-card {
    border: 1px solid #ccc;
    border-radius: 5px;
    margin: 5px;
    padding: 10px;
    width: 150px;
    background-color: #f9f9f9;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.pokemon-card h3 {
    margin-top: 0;
    font-size: 18px;
    color: #333;
}

.pokemon-card p {
    margin-bottom: 5px;
    color: #666;
}

/* Estilos del modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.close {
    color: #c72d38;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #77161e;
    text-decoration: none;
    cursor: pointer;
}
